Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Comparing changes

Choose two branches to see what's changed or to start a new pull request. If you need to, you can also compare across forks.

Open a pull request

Create a new pull request by comparing changes across two branches. If you need to, you can also compare across forks.
base fork: weijen/expense
base: 3cd694fead
...
head fork: weijen/expense
compare: d52646af63
Checking mergeability… Don't worry, you can still create the pull request.
  • 2 commits
  • 6 files changed
  • 0 commit comments
  • 1 contributor
Commits on Nov 07, 2011
@weijen update to rails 2.3.14 de3dd3a
Commits on Nov 08, 2011
@weijen fix datepicker d52646a
View
1  Gemfile
@@ -1,5 +1,6 @@
source :gemcutter
gem "rails", "~> 2.3.11"
+gem 'rdoc'
# bundler requires these gems in all environments
View
36 Gemfile.lock
@@ -1,26 +1,29 @@
GEM
remote: http://rubygems.org/
specs:
- actionmailer (2.3.12)
- actionpack (= 2.3.12)
- actionpack (2.3.12)
- activesupport (= 2.3.12)
+ actionmailer (2.3.14)
+ actionpack (= 2.3.14)
+ actionpack (2.3.14)
+ activesupport (= 2.3.14)
rack (~> 1.1.0)
- activerecord (2.3.12)
- activesupport (= 2.3.12)
- activeresource (2.3.12)
- activesupport (= 2.3.12)
- activesupport (2.3.12)
+ activerecord (2.3.14)
+ activesupport (= 2.3.14)
+ activeresource (2.3.14)
+ activesupport (= 2.3.14)
+ activesupport (2.3.14)
+ json (1.6.1)
pg (0.11.0)
rack (1.1.2)
- rails (2.3.12)
- actionmailer (= 2.3.12)
- actionpack (= 2.3.12)
- activerecord (= 2.3.12)
- activeresource (= 2.3.12)
- activesupport (= 2.3.12)
+ rails (2.3.14)
+ actionmailer (= 2.3.14)
+ actionpack (= 2.3.14)
+ activerecord (= 2.3.14)
+ activeresource (= 2.3.14)
+ activesupport (= 2.3.14)
rake (>= 0.8.3)
- rake (0.9.2)
+ rake (0.9.2.2)
+ rdoc (3.11)
+ json (~> 1.4)
sqlite3 (1.3.4)
sqlite3-ruby (1.3.3)
sqlite3 (>= 1.3.3)
@@ -31,4 +34,5 @@ PLATFORMS
DEPENDENCIES
pg
rails (~> 2.3.11)
+ rdoc
sqlite3-ruby
View
2  Rakefile
@@ -5,6 +5,6 @@ require(File.join(File.dirname(__FILE__), 'config', 'boot'))
require 'rake'
require 'rake/testtask'
-require 'rake/rdoctask'
+require 'rdoc/task'
require 'tasks/rails'
View
32 app/views/expenses/_form.html.erb
@@ -14,23 +14,27 @@
<% content_for :page_specific_javascript do -%>
<script type="text/javascript">
- var option = {dateFormat: 'yy-mm-dd'};
+ var option = {dateFormat: 'yy-mm-dd',
+ numberOfMonths: 2,
+ showCurrentAtPos: 1,
+ showButtonPanel: true
+ };
- $(document).ready(function(){
- $('#expense_entry_date').datepicker(option);
- $('#group_id').change(function(){
- $('#expense_tag_id').attr({"disable": "true"});
- $('#confirm-button').attr({"disable": "true"});
+ $(document).ready(function(){
+ $('#expense_entry_date').datepicker(option);
+ $('#group_id').change(function(){
+ $('#expense_tag_id').attr({"disable": "true"});
+ $('#confirm-button').attr({"disable": "true"});
- $.ajax({
- url: "/groups/" + $('#group_id').val() + "/tags",
- success: function(msg){
- $(msg).replaceAll('#expense_tag_id');
- $('#confirm-button').attr({"disable": "false"});
- }
- });
+ $.ajax({
+ url: "/groups/" + $('#group_id').val() + "/tags",
+ success: function(msg){
+ $(msg).replaceAll('#expense_tag_id');
+ $('#confirm-button').attr({"disable": "false"});
+ }
+ });
});
- });
+ });
</script>
<% end -%>
View
12 app/views/group_expenses/_form.html.erb
@@ -7,9 +7,13 @@
<% content_for :page_specific_javascript do -%>
<script type="text/javascript">
- var option = {dateFormat: 'yy-mm-dd'};
- $(document).ready(function(){
- $('#expense_entry_date').datepicker(option);
- });
+ var option = {dateFormat: 'yy-mm-dd',
+ numberOfMonths: 2,
+ showCurrentAtPos: 1,
+ showButtonPanel: true
+ };
+ $(document).ready(function(){
+ $('#expense_entry_date').datepicker(option);
+ });
</script>
<% end -%>
View
2  config/environment.rb
@@ -1,7 +1,7 @@
# Be sure to restart your server when you modify this file
# Specifies gem version of Rails to use when vendor/rails is not present
-RAILS_GEM_VERSION = '2.3.12' unless defined? RAILS_GEM_VERSION
+RAILS_GEM_VERSION = '2.3.14' unless defined? RAILS_GEM_VERSION
# Bootstrap the Rails environment, frameworks, and default configuration
require File.join(File.dirname(__FILE__), 'boot')

No commit comments for this range

Something went wrong with that request. Please try again.